Subject: Re: [PATCH] tcp: Expose the initial RTO via a new sysctl.

From: Hagen Paul Pfeifer <[email-masked]>
Date: Tue, 31 May 2011 17:43:25 +0200

On Tue, 31 May 2011 08:28:18 -0700, tsuna <[email-masked]> wrote:

> Sorry I meant a knob such as /proc/sys/net/ipv4/tcp_initrto.

That's the same! ;-)

>> The initRTO is the ideal candidate for a

>> per route knob. And happily you will solve 2) with the per route thing

>> too!

> You still need a knob for the default system-wide value, don't you?

Yes, try to re-read the emails. Sysctl is a no-go, with a per route

interface you have the ability to tune the values. Talk with Jerry once

again - he wrote that at Google they already have a patch for this. And

with a per route knob you can select a even smaller value for your local

network (e.g. datacenter) and a larger value for all other routes. It makes

sense to provide a knob for this on a route basis, not on a global sysctl

basis.

But once again: talk with Jerry - he has the expert knowledge!

Hagen